/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class CommonUseItemVM : FguiViewModel
    {
        public CommonBackGroundNestedView MaskBg { get; private set; }
        public CommonItemBaseView ItemBtn { get; private set; }
        public GButton AddBtn { get; private set; }
        public GButton SubBtn { get; private set; }
        public GButton UseBtn { get; private set; }
        public GTextField NumLabel { get; private set; }
        public GTextField DescLabel { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            MaskBg = adapter.CreateNested<CommonBackGroundNestedView>(new FguiNested(panel.GetChild("MaskBg").asCom), true);
            ItemBtn = adapter.CreateNested<CommonItemBaseView>(new FguiNested(panel.GetChild("ItemBtn").asCom), true);
            AddBtn = panel.GetChild("AddBtn") as GButton;
            SubBtn = panel.GetChild("SubBtn") as GButton;
            UseBtn = panel.GetChild("UseBtn") as GButton;
            NumLabel = panel.GetChild("NumLabel") as GTextField;
            DescLabel = panel.GetChild("DescLabel") as GTextField;

        }
    }
}